/*------------------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved. 
------------------------------------------------------------------------------------*/ 

package com.togethersoft.modules.xmleditor.dtd;

import java.util.*;

public interface DTDAttributeDef extends DTDValueDef 
{
  DTDElementDef getContainingElementDef();

  String  getName();
  String  getFullName();
  void    setFullName (String fullName);

  /**
   * means if to show this attribute in editor 
   */
  boolean isHidden();
}
